curl https://okl.ink/api/v1/pages \
-H "Authorization: Bearer YOUR_API_TOKEN"
[
{
"id": "cly1019283749",
"slug": "my-project-hub",
"title": "My Project Hub",
"description": "Essential links, repository, and live demo.",
"coverImage": "https://example.com/cover.png",
"name": "Alex",
"published": true,
"blocked": false,
"createdAt": "2026-08-30T12:00:00.000Z",
"updatedAt": "2026-08-30T14:30:00.000Z"
}
]
Pages
List Pages
List all pages created by the authenticated user.
GET
/
api
/
v1
/
pages
curl https://okl.ink/api/v1/pages \
-H "Authorization: Bearer YOUR_API_TOKEN"
[
{
"id": "cly1019283749",
"slug": "my-project-hub",
"title": "My Project Hub",
"description": "Essential links, repository, and live demo.",
"coverImage": "https://example.com/cover.png",
"name": "Alex",
"published": true,
"blocked": false,
"createdAt": "2026-08-30T12:00:00.000Z",
"updatedAt": "2026-08-30T14:30:00.000Z"
}
]
List Pages
Retrieves all pages owned by the user, ordered by creation date descending. Requirespages:read or pages:write scope.
Headers
string
required
Bearer token with
pages:read scope.Response
Returns an array of page summary objects:string
Project ID
string
URL Slug
string
Page Title
string
Description
string | null
Cover Image URL
string | null
Creator Name
boolean
Publish status
boolean
Suspension status
string
Creation timestamp
string
Last updated timestamp
curl https://okl.ink/api/v1/pages \
-H "Authorization: Bearer YOUR_API_TOKEN"
[
{
"id": "cly1019283749",
"slug": "my-project-hub",
"title": "My Project Hub",
"description": "Essential links, repository, and live demo.",
"coverImage": "https://example.com/cover.png",
"name": "Alex",
"published": true,
"blocked": false,
"createdAt": "2026-08-30T12:00:00.000Z",
"updatedAt": "2026-08-30T14:30:00.000Z"
}
]